Update twisted version in webkitpy.thirdparty.autoinstalled module.
[WebKit.git] / Tools / Scripts / webkitpy / benchmark_runner / http_server_driver / http_server / twisted_http_server.py
index 420a752a83adac45f534c4407c71a17d1ba29c54..ed427633f87be41d20b3e97d263b7c0a15483b4f 100644 (file)
@@ -4,12 +4,14 @@ import argparse
 import logging
 import os
 import sys
+from pkg_resources import require, VersionConflict, DistributionNotFound
 
 try:
+    require("Twisted>=15.5.0")
     import twisted
-except ImportError:
+except (ImportError, VersionConflict, DistributionNotFound):
     sys.path.append(os.path.abspath(os.path.join(os.path.dirname(os.path.abspath(__file__)), '../../../..')))
-    from webkitpy.thirdparty.autoinstalled.twisted import twisted
+    from webkitpy.thirdparty.autoinstalled.twisted_15_5_0 import twisted
 
 from twisted.web import static, server
 from twisted.web.resource import Resource